# Clutter::FixedLayout Class Reference

Inherits Clutter::LayoutManager.

Collaboration diagram for Clutter::FixedLayout:
[legend]

List of all members.

## Public Member Functions

virtual | ~FixedLayout ()
ClutterFixedLayout* | gobj ()
| Provides access to the underlying C GObject.
const ClutterFixedLayout* | gobj () const
| Provides access to the underlying C GObject.
ClutterFixedLayout* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Static Public Member Functions

static Glib::RefPtr< FixedLayout > | create ()

## Protected Member Functions

| FixedLayout ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Clutter::FixedLayout > | wrap (ClutterFixedLayout* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::FixedLayout::~FixedLayout | ( |  | ) | `[virtual]`

Clutter::FixedLayout::FixedLayout | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<FixedLayout> Clutter::FixedLayout::create | ( |  | ) | `[static]`

const ClutterFixedLayout* Clutter::FixedLayout::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::LayoutManager.

ClutterFixedLayout* Clutter::FixedLayout::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::LayoutManager.

ClutterFixedLayout* Clutter::FixedLayout::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::LayoutManager.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::FixedLayout > wrap | ( | ClutterFixedLayout * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/fixed-layout.h